/**
 *
 */
package de.intevation.gnv.artifactdatabase.client;

import java.util.Collection;

import de.intevation.gnv.artifactdatabase.client.exception.ArtifactDatabaseClientException;
import de.intevation.gnv.artifactdatabase.objects.ArtifactObject;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public interface ArtifactDatabaseClient {
    
    
    /**
     * Return the Artifactfactories which can be resolved.
     * @return the Artifactfactories which can be resolved.
     * @throws ArtifactDatabaseClientException
     */
    public Collection<ArtifactObject> getArtifactFactories() throws ArtifactDatabaseClientException;

    /**
     * b
     * @param artifactFactory
     * @return
     * @throws ArtifactDatabaseClientException
     */
    public ArtifactObject createNewArtifact(ArtifactObject artifactFactory) throws ArtifactDatabaseClientException;


}
